none
Windows says I have .NET Framework 3.5 but I actually have the 2.0 SP2 only, according to the verification tool RRS feed

  • Question

  • I'm trying to run some programs that require .NET Framework 3.5 but they keep crashing.. I found out that I have only 2.0 SP2 installed and I can't get the setup for 3.5 to work

    Verification log:

    [01/19/14,06:40:34] Install state for .NET Framework 1.0: not installed.
    [01/19/14,06:40:34] Install state for .NET Framework 1.1: not installed.
    [01/19/14,06:40:34] Install state for .NET Framework 2.0: installed with service pack 2.
    [01/19/14,06:40:34] Install state for .NET Framework 3.0: not installed.
    [01/19/14,06:40:34] Install state for .NET Framework 3.5: not installed.
    [01/19/14,06:40:34] Install state for .NET Framework 4 Client: not installed.
    [01/19/14,06:40:34] Install state for .NET Framework 4 Full: not installed.
    [01/19/14,06:40:34] Install state for .NET Framework 4.5: not installed.
    [01/19/14,06:40:34] Install state for .NET Framework 4.5.1: not installed.
    [01/19/14,06:40:34] Not adding product '.NET Framework 1.0' because it is not currently installed
    [01/19/14,06:40:34] Not adding product '.NET Framework 1.1' because it is not currently installed
    [01/19/14,06:40:34] Not adding product '.NET Framework 1.1 SP1' because it is not currently installed
    [01/19/14,06:40:34] Not adding product '.NET Framework 2.0' because it is not currently installed
    [01/19/14,06:40:34] Not adding product '.NET Framework 2.0 SP1' because it is not currently installed
    [01/19/14,06:40:34] Not adding product '.NET Framework 3.0' because it is not currently installed
    [01/19/14,06:40:34] Not adding product '.NET Framework 3.0 SP1' because it is not currently installed
    [01/19/14,06:40:34] Not adding product '.NET Framework 3.0 SP2' because it is not currently installed
    [01/19/14,06:40:34] Not adding product '.NET Framework 3.5' because it is not currently installed
    [01/19/14,06:40:34] Not adding product '.NET Framework 3.5 SP1' because it is not currently installed
    [01/19/14,06:40:34] Not adding product '.NET Framework 4 Client' because it is not currently installed
    [01/19/14,06:40:34] Not adding product '.NET Framework 4 Full' because it is not currently installed
    [01/19/14,06:40:34] Not adding product '.NET Framework 4.5' because it is not currently installed
    [01/19/14,06:40:34] Not adding product '.NET Framework 4.5.1' because it is not currently installed

    Sunday, January 19, 2014 9:54 AM

Answers

  • Hi,

    About your issue, please install .Net Framework 3.5.

    http://www.microsoft.com/en-in/download/details.aspx?id=25150

    Before you install it, please clear your %temp% directory and disable your AV software.

    Then run the installer as administrator.

    If the install fails, provide complete install logs as follows:

    Please collect your install logs with this:

    http://aka.ms/vscollect

    After you run Collect.exe, you'll find vslogs.cab in your %temp% directory. Please upload the file to https://skydrive.live.com/ and share the link here.

    The complete log set is needed for analysis.


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    Monday, January 20, 2014 8:52 AM